<?php
/**
 * @file 
 * Contains the theme functions for SermonAudio
 */
 
/**
 * Theme function for Favorite Broadcasters block.
 */
function theme_sermonaudio_favorite_broadcasters() {
  $response = sermonaudio_soap('FavoriteBroadcasters', array("MemberID" => variable_get('sermonaudio_memberid', ''), "Password" => variable_get('sermonaudio_password', '')));
  if (!isset($response->FavoriteBroadcastersResult->Member)) {
    return t("None");
  }
  $output = "";
  if (is_array($response->FavoriteBroadcastersResult->Member)) {
    foreach ($response->FavoriteBroadcastersResult->Member as $member) {
      $sa_link = "http://www.sermonaudio.com/". $member->SourceID;
      $output .= "<div>". $member->SourceDesc ."<br />";
      $output .= $member->Minister ." | ". $member->SourceLocation ."<br />";
      $output .= "<a href='". $sa_link ."'>". $sa_link ."</a></div>";
    }
  }
  else {
    $member = $response->FavoriteBroadcastersResult->Member;
    $sa_link = "http://www.sermonaudio.com/". $member->SourceID;
    $output .= "<div>". $member->SourceDesc ."<br />";
    $output .= $member->Minister ." | ". $member->SourceLocation ."<br />";
    $output .= "<a href='". $sa_link ."'>". $sa_link ."</a></div>";
  }
  return $output;
}

/**
 * Theme function for Favorite Sermons block.
 */
function theme_sermonaudio_favorite_sermons() {
  $response = sermonaudio_soap('FavoriteSermons', array("MemberID" => variable_get('sermonaudio_memberid', ''), "Password" => variable_get('sermonaudio_password', '')));
  if (!isset($response->FavoriteSermonsResult->Sermon)) {
    return t("None");
  }
  $output = "";
  if (is_array($response->FavoriteSermonsResult->Sermon)) {
      foreach ($response->FavoriteSermonsResult->Sermon as $sermon) {
      $sa_link = "http://www.sermonaudio.com/sermoninfo.asp?SID=". $sermon->SermonID;
      $output .= "<div><a href='". $sa_link ."'>". $sermon->Title ."</a><br />";
      $output .= $sermon->Speaker ." | ". $sermon->SubTitle ."</div>";
    }
  }
  else {
    $sermon = $response->FavoriteSermonsResult->Sermon;
    $sa_link = "http://www.sermonaudio.com/sermoninfo.asp?SID=". $sermon->SermonID;
    $output .= "<div><a href='". $sa_link ."'>". $sermon->Title ."</a><br />";
    $output .= $sermon->Speaker ." | ". $sermon->SubTitle ."</div>";
  }
  return $output;
}

/**
 * Theme function for Favorite Speakers block.
 */
function theme_sermonaudio_favorite_speakers() {
  $response = sermonaudio_soap('FavoriteSpeakers', array("MemberID" => variable_get('sermonaudio_memberid', ''), "Password" => variable_get('sermonaudio_password', ''))); 
  if (!isset($response->FavoriteSpeakersResult->Speaker)) {
    return t("None");
  }
  $output = "";
  if (is_array($response->FavoriteSpeakersResult->Speaker)) {
      foreach ($response->FavoriteSpeakersResult->Speaker as $speaker) {
      $output .= "<div>". $speaker->SpeakerName ."</div>";
    }
  }
  else {
    $speaker = $response->FavoriteSpeakersResult->Speaker;
    $output .= "<div>". $speaker->SpeakerName ."</div>";
  }
  return $output;
}

/**
 * Theme function for Newest Sermons Block
 * $sermon Object
 *   SermonID - string
 *   Title - string
 *   SubTitle - string
 *   Speaker - string
 *   EventType - string
 *   BibleText - string
 *   Date - string
 *   DownloadCount - integer
 *   MP3Duration - string
 *   MP3Filename - string
 */
function theme_sermonaudio_newest_sermons($number) {
  $response = sermonaudio_newest_sermons_by_memberid(variable_get('sermonaudio_memberid', ''));
  $i = 0;
  $output = "";
  foreach ($response as $sermon) {
    $output .= "<div class='newest-sermon'>";
    $output .= l($sermon->Title, 'http://www.sermonaudio.com/sermoninfo.asp?SID='. $sermon->SermonID) .'<br />';
    $output .= '<em>'. $sermon->SubTitle .'</em><br />';
    $output .= $sermon->Speaker;
    $output .= "</div>";
    if (++$i == $number) break;
  }
  return $output;
}